## brutefir 1.0

=== Makefile ===
###################################
# Where to install
INSTALL_PREFIX	= $(DESTDIR)/usr/local

###################################
# Where to find libraries, and their header files.
LIBPATHS	= -L/usr/local/lib
INCLUDE		= -I/usr/local/include
ifdef FFTW_PATH
LIBPATHS	+= -L$(FFTW_PATH)/lib
INCLUDE		+= -I$(FFTW_PATH)/include
endif

###################################
# FFTW3 libraries for single and double precision
FFTW_LIB	= -lfftw3 -lfftw3f

###################################
# Binaries
FLEX	= flex
LD	= ld
CC	= gcc
AS	= as

###################################
# Flags
CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
-Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
-Wmissing-prototypes -Wmissing-declarations -Wnested-externs
CC_FLAGS	= $(DEFINE) -O2
CC_FPIC		= -fPIC
LD_SHARED	= -shared

###################################
# Objects and libs for targets
BRUTEFIR_LIBS	= $(FFTW_LIB) -lm
BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o \
emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o 
BRUTEFIR_IA32_OBJS = convolver_sse2.o convolver_sse.o \
convolver_3dnow.o convolver_x87.o

BFIO_FILE_OBJS	= bfio_file.fpic.o

BFIO_ALSA_LIBS	= -lasound
BFIO_ALSA_OBJS	= bfio_alsa.fpic.o emalloc.fpic.o inout.fpic.o

BFIO_OSS_OBJS	= bfio_oss.fpic.o emalloc.fpic.o

BFIO_JACK_LIBS	= -ljack
BFIO_JACK_OBJS	= bfio_jack.fpic.o emalloc.fpic.o inout.fpic.o

BFLOGIC_CLI_OBJS = bflogic_cli.fpic.o inout.fpic.o
BFLOGIC_EQ_OBJS	= bflogic_eq.fpic.o emalloc.fpic.o shmalloc.fpic.o

BIN_TARGETS	= brutefir
LIB_TARGETS	= cli.bflogic eq.bflogic file.bfio

###################################
# System-specific settings

UNAME		= $(shell uname)
UNAME_P         = $(shell uname -p)
UNAME_M         = $(shell uname -m)

# Linux
ifeq ($(UNAME),Linux)
ifeq ($(UNAME_M),i386)
BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
endif
ifeq ($(UNAME_M),i586)
BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
endif
ifeq ($(UNAME_M),i686)
BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
endif
BRUTEFIR_LIBS	+= -ldl
LDMULTIPLEDEFS	= -Xlinker --allow-multiple-definition
# assume that we have alsa, osss and jack
LIB_TARGETS	+= alsa.bfio
LIB_TARGETS	+= oss.bfio
LIB_TARGETS	+= jack.bfio
endif

# Solaris
ifeq ($(UNAME),SunOS)
CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
-Wcast-qual -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations \
-Wnested-externs
ifeq ($(UNAME_P),sparc)
CC_FLAGS	+= -Wa,-xarch=v8plus
endif
BRUTEFIR_LIBS	+= -lrt -ldl
endif

# FreeBSD
ifeq ($(UNAME),FreeBSD)
ifeq ($(UNAME_M),i386)
BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
endif
# assume that we have oss
LIB_TARGETS	+= oss.bfio
endif

TARGETS		= $(BIN_TARGETS) $(LIB_TARGETS)

###################################
# Targets

all: $(TARGETS)

%.o: %.s
	$(AS) -o $@			$<

%.fpic.o: %.c
	$(CC) -o $@			-c $(INCLUDE) $(CC_FPIC) $(CC_WARN) $(CC_FLAGS) $<

%.o: %.c
	$(CC) -o $@			-c $(INCLUDE) $(CC_WARN) $(CC_FLAGS) $<

# special rule to avoid to get warnings from code generated by flex
bfconf_lexical.o: bfconf_lexical.c
	$(CC) -o $@			-c $(INCLUDE) $(CC_FLAGS) $<

%.c: %.lex
	$(FLEX) -o$@ $<

brutefir: $(BRUTEFIR_OBJS)
	$(CC) $(LIBPATHS) $(LDMULTIPLEDEFS) -o $@ $(BRUTEFIR_OBJS) $(BRUTEFIR_LIBS)

alsa.bfio: $(BFIO_ALSA_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_ALSA_OBJS) $(BFIO_ALSA_LIBS) -lc

oss.bfio: $(BFIO_OSS_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_OSS_OBJS) -lc

jack.bfio: $(BFIO_JACK_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_JACK_OBJS) $(BFIO_JACK_LIBS) -lc

file.bfio: $(BFIO_FILE_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_FILE_OBJS) -lc

cli.bflogic: $(BFLOGIC_CLI_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_CLI_OBJS) -lc

eq.bflogic: $(BFLOGIC_EQ_OBJS)
	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc

install: $(BIN_TARGETS) $(LIB_TARGETS)
	install $(BIN_TARGETS) $(INSTALL_PREFIX)/bin
	install $(LIB_TARGETS) $(INSTALL_PREFIX)/lib/brutefir

clean:
	rm -f *.core core bfconf_lexical.c $(BRUTEFIR_OBJS) $(BFIO_FILE_OBJS)  \
$(BFLOGIC_CLI_OBJS) $(BFLOGIC_EQ_OBJS) $(BFIO_ALSA_OBJS) $(BFIO_OSS_OBJS) \
$(BFIO_JACK_OBJS) $(TARGETS)

## brutefir 1.0c

=== Makefile ===
--- 
+++ 
@@ -146,6 +146,7 @@
 	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
 
 install: $(BIN_TARGETS) $(LIB_TARGETS)
+	install -d $(INSTALL_PREFIX)/bin $(INSTALL_PREFIX)/lib/brutefir
 	install $(BIN_TARGETS) $(INSTALL_PREFIX)/bin
 	install $(LIB_TARGETS) $(INSTALL_PREFIX)/lib/brutefir

## brutefir 1.0k

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 ###################################
 # Objects and libs for targets
 BRUTEFIR_LIBS	= $(FFTW_LIB) -lm
-BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o \
+BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o firwindow.o \
 emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o 
 BRUTEFIR_IA32_OBJS = convolver_sse2.o convolver_sse.o \
 convolver_3dnow.o convolver_x87.o

=== debian/changelog ===
brutefir (1.0k-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 22:28:43 +0100

brutefir (1.0k-1) experimental; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Switch to debhelper 7.
  * Change fftw3-dev to libfftw3-dev (Closes: #474591); thanks to
    James Westby for reporting this.
  * Update watch file.
  * debian/control:
    - Add .gitignore file.
    - Add ${misc:Depends} to the Depends line.
    - Add Homepage field.
    - Bump Standards.
  * Convert patches to the quilt format.
  * Remove direct changes to the upstream sources. Create new patch to
    apply with quilt.
  * Add patch to fix spelling errors.
  * Move manpage into the debian directory.
  * Rename 10_Makefile.dpatch -> 10-makefile.patch, refresh.
  * Remove old 00list* files.
  * Add local-options file.
  * Update copyright information.
  * Fix debian menu file.
  * Fix doc-base file.
  * Fix copyright-refers-to-symlink-license warning.
  * Rename bruterfir.orig to brutefir.real.
  * Remove manpage in SGML format.
  * Install configuration files as package examples.
  * Add configuration file for git-buildpackage.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 15:22:21 +0200

brutefir (1.0f-2) unstable; urgency=low

  * debian/patches/10_Makefile.dpatch: Add patches from Cyril Brulebois
    to fix FTBFS on non-linux architectures (which don't provide ALSA
    support). Closes: #414298
  * debian/control:
    - Limit libasound2-dev to linux-archs only.
    - Add Vcs fields.
    - Change Maintainer and update Uploaders list (Closes: #546949).
  * debian/compat: Bump compatibility level up to 5.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 13:01:14 +0200

brutefir (1.0f-1) unstable; urgency=low

  * New upstream release
    - Fixes invalid lvalues in assignments (Closes: #320270)
  * Rebuild for the jack transition (Closes: #317185)
  * Added wrapper script to create an empty config file (Closes: #318202)
  * Dropped the amd64 gcc-4.0 patch, fixed upstream
  
 -- Free Ekanayaka <free@agnula.org>  Sun,  2 Oct 2005 18:12:04 +0100

brutefir (1.0c-1) unstable; urgency=low

  * New upstream release
  * Using dpatch
  * Added dpatch for the Makefile
  * Bug fix: "brutefir: FTBFS (amd64/gcc-4.0): invalid lvalue in
    assignment", thanks to Andreas Jochens (Closes: #284751).
  * Bug fix: "brutefir: ftbfs [sparc] Requires v9|v9a|v9b", thanks to
    Blars Blarson (Closes: #269715).

 -- Free Ekanayaka <free@agnula.org>  Tue, 22 Mar 2005 13:00:44 +0100

brutefir (1.0-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Fri, 11 Jun 2004 21:52:06 +0200

brutefir (0.99n-2) unstable; urgency=low

  * debian/control: removed double spaces in the Desctiption field
    (closes #241576)
  * Removed menu file, as BruteFIR is supposed to be invoked from the
    command line.

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Apr 2004 12:59:47 +0200

brutefir (0.99n-1) unstable; urgency=low

  * New upstream release
  * GGeiger: Fixed endian detection on non-sparc or intel machines
  * GGeiger: Fixed compilation on non-sparc or intel (intel assembler)
  * First upload to Debian (closes: #187276)

 -- Free Ekanayaka <free@agnula.org>  Sat, 28 Feb 2004 19:58:31 +0100

brutefir (0.99l-0) unstable; urgency=low

  * Added template man page
  * New upstream release
  * adjusted description formatting

 -- Free Ekanayaka <free@agnula.org>  Fri, 21 Nov 2003 16:11:28 +0600

brutefir (0.99k-1) unstable; urgency=low

  * Initial Release.

 -- Free Ekanayaka <free@agnula.org>  Thu, 18 Sep 2003 23:06:33 +0200

=== debian/control ===
Source: brutefir
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: docbook-to-man,
 debhelper (>= 7.0.50~),
 libfftw3-dev,
 libjack-dev,
 flex,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
Homepage: http://www.ludd.luth.se/~torger/brutefir.html
Vcs-Git: git://git.debian.org/pkg-multimedia/brutefir.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/brutefir.git

Package: brutefir
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: a software convolution engine
 BruteFIR is a program for applying long FIR filters to multi-channel
 digital audio, either offline or in realtime. Its basic operation is
 specified through a configuration file, and filters, attenuation and
 delay can be changed in runtime through a simple command line
 interface. The FIR filter algorithm used is  an optimised frequency
 domain algorithm, partly implemented in hand-coded assembler, thus
 throughput is extremely high. In realtime, a standard computer can
 typically run more than 10 channels with more than 60000 filter taps
 each.
 .
 Through its highly modular design, things like adaptive filtering,
 signal generators and sample I/O are easily added, extended and
 modified, without the need to alter the program itself.
 .

## brutefir 1.0l

=== debian/changelog ===
brutefir (1.0l-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Made the code compile well on x86-64.
    - Replaced legacy assembler code with new SSE/SSE2 C code,
      3DNow support dropped.
    - Fixed filter indexing bug in the 'cffa' CLI command.
    - S24_LE now maps to Alsa SND_PCM_FORMAT_S24_3LE and S24_4LE to
    - SND_PCM_FORMAT_S24_LE (same for BE of course). Also added possibility
      to use Alsa syntax "S24_3LE" in config file (means same as the old
      "S24_LE").
    - Refreshed JACK I/O module to make up to date with current API
      versions.
  * Refresh patches.
  * Replace negated list of architectures with linux-any (Closes: #634790).
  * Use canonical form for VCS urls.
  * Remove myself from the Uploaders field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Oct 2013 14:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
-Build-Depends: docbook-to-man,
+Uploaders:
+ Free Ekanayaka <freee@debian.org>
+Build-Depends:
  debhelper (>= 7.0.50~),
+ docbook-to-man,
+ flex,
+ libasound2-dev [linux-any],
  libfftw3-dev,
- libjack-dev,
- flex,
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 3.9.1
+ libjack-dev
+Standards-Version: 3.9.4
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
-Vcs-Git: git://git.debian.org/pkg-multimedia/brutefir.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/brutefir.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
 
 Package: brutefir
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: a software convolution engine
  BruteFIR is a program for applying long FIR filters to multi-channel
  digital audio, either offline or in realtime. Its basic operation is

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- ARCH=`dpkg --print-architecture`

override_dh_auto_install:
	dh_auto_install -- ARCH=`dpkg --print-architecture`
	mv $(CURDIR)/debian/brutefir/usr/bin/brutefir \
		$(CURDIR)/debian/brutefir/usr/lib/brutefir/brutefir.real
	cp debian/brutefir.wrapper $(CURDIR)/debian/brutefir/usr/bin/brutefir
	chmod 755 $(CURDIR)/debian/brutefir/usr/bin/brutefir

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## brutefir 1.0m

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 
 ###################################
 # Flags
-CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
--Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
+CC_WARN		= -Wall -Wpointer-arith -Wshadow \
+-Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
 CC_FLAGS	= $(DEFINE) -O2
 CC_FPIC		= -fPIC
@@ -35,9 +35,8 @@
 # Objects and libs for targets
 BRUTEFIR_LIBS	= $(FFTW_LIB) -lm
 BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o firwindow.o \
-emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o 
-BRUTEFIR_IA32_OBJS = convolver_sse2.o convolver_sse.o \
-convolver_3dnow.o convolver_x87.o
+emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o
+BRUTEFIR_SSE_OBJS = convolver_xmm.o
 
 BFIO_FILE_OBJS	= bfio_file.fpic.o
 
@@ -64,14 +63,17 @@
 
 # Linux
 ifeq ($(UNAME),Linux)
-ifeq ($(UNAME_M),i386)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
-endif
 ifeq ($(UNAME_M),i586)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
 endif
 ifeq ($(UNAME_M),i686)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
+endif
+ifeq ($(UNAME_M),x86_64)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
 endif
 BRUTEFIR_LIBS	+= -ldl
 LDMULTIPLEDEFS	= -Xlinker --allow-multiple-definition

=== debian/changelog ===
brutefir (1.0m-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:35:57 +0000

brutefir (1.0m-1) unstable; urgency=medium

  * Team Upload.

  [ Jaromír Mikeš ]
  * Imported Upstream version 1.0m
  * Set dh/compat 9.
  * Bump Standards.
  * Add myself as uploader.
  * Patches refreshed.
  * Little fix in description.
  * Added patch partially fix hardening.
  * Added patch fix FTBFS on kfreebsd-i386 (Closes: #728139).

  [ Felipe Sateler ]
  * Use gcc instead of ld directly to link.
  * Pass LDFLAGS to brutefir link.
  * Change _init functions to use constructor attributes instead
  * Enable parallel builds

 -- Felipe Sateler <fsateler@debian.org>  Tue, 25 Feb 2014 22:42:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: brutefir
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Free Ekanayaka <freee@debian.org>
+ Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  docbook-to-man,
  flex,
  libasound2-dev [linux-any],
  libfftw3-dev,
  libjack-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
@@ -21,7 +23,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: a software convolution engine
+Description: software convolution engine
  BruteFIR is a program for applying long FIR filters to multi-channel
  digital audio, either offline or in realtime. Its basic operation is
  specified through a configuration file, and filters, attenuation and

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@ -Smakefile
 
 override_dh_auto_build:
-	dh_auto_build -- ARCH=`dpkg --print-architecture`
+	dh_auto_build --parallel -- ARCH=`dpkg --print-architecture`
 
 override_dh_auto_install:
 	dh_auto_install -- ARCH=`dpkg --print-architecture`

## brutefir 1.0o

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+###################################
+CFLAGS +=
+CPPFLAGS +=
+LDFLAGS +=
+
 ###################################
 # Where to install
 INSTALL_PREFIX	= $(DESTDIR)/usr/local
@@ -18,18 +23,19 @@
 ###################################
 # Binaries
 FLEX	= flex
-LD	= ld
+LD	= gcc
 CC	= gcc
-AS	= as
+CHMOD	= chmod
 
 ###################################
 # Flags
 CC_WARN		= -Wall -Wpointer-arith -Wshadow \
 -Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
-CC_FLAGS	= $(DEFINE) -O2
+CC_FLAGS	= $(DEFINE) -O2 $(CFLAGS) $(CPPFLAGS)
 CC_FPIC		= -fPIC
 LD_SHARED	= -shared
+CHMOD_REMOVEX	= -x
 
 ###################################
 # Objects and libs for targets
@@ -75,23 +81,17 @@
 BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
 CC_FLAGS	+= -msse
 endif
+ifneq (,$(findstring sparc,$(UNAME_M)))
+CC_FLAGS += -Wa,-xarch=v8plus
+endif
 BRUTEFIR_LIBS	+= -ldl
 LDMULTIPLEDEFS	= -Xlinker --allow-multiple-definition
-# assume that we have alsa, osss and jack
+# assume that we have oss and jack, alsa being linux-only
+ifeq ($(UNAME),Linux)
 LIB_TARGETS	+= alsa.bfio
+endif
 LIB_TARGETS	+= oss.bfio
 LIB_TARGETS	+= jack.bfio
-endif
-
-# Solaris
-ifeq ($(UNAME),SunOS)
-CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
--Wcast-qual -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations \
--Wnested-externs
-ifeq ($(UNAME_P),sparc)
-CC_FLAGS	+= -Wa,-xarch=v8plus
-endif
-BRUTEFIR_LIBS	+= -lrt -ldl
 endif
 
 # FreeBSD
@@ -110,42 +110,45 @@
 
 all: $(TARGETS)
 
-%.o: %.s
-	$(AS) -o $@			$<
-
 %.fpic.o: %.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_FPIC) $(CC_WARN) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_FPIC) $(CC_WARN) $(CC_FLAGS) $<
 
 %.o: %.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_WARN) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_WARN) $(CC_FLAGS) $<
 
 # special rule to avoid to get warnings from code generated by flex
 bfconf_lexical.o: bfconf_lexical.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_FLAGS) $<
 
 %.c: %.lex
 	$(FLEX) -o$@ $<
 
 brutefir: $(BRUTEFIR_OBJS)
-	$(CC) $(LIBPATHS) $(LDMULTIPLEDEFS) -o $@ $(BRUTEFIR_OBJS) $(BRUTEFIR_LIBS)
+	$(CC) $(LDFLAGS) $(LIBPATHS) $(LDMULTIPLEDEFS) -o $@ $(BRUTEFIR_OBJS) $(BRUTEFIR_LIBS)
 
 alsa.bfio: $(BFIO_ALSA_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_ALSA_OBJS) $(BFIO_ALSA_LIBS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_ALSA_OBJS) $(BFIO_ALSA_LIBS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 oss.bfio: $(BFIO_OSS_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_OSS_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_OSS_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 jack.bfio: $(BFIO_JACK_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_JACK_OBJS) $(BFIO_JACK_LIBS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_JACK_OBJS) $(BFIO_JACK_LIBS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 file.bfio: $(BFIO_FILE_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_FILE_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_FILE_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 cli.bflogic: $(BFLOGIC_CLI_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_CLI_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_CLI_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 eq.bflogic: $(BFLOGIC_EQ_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 install: $(BIN_TARGETS) $(LIB_TARGETS)
 	install -d $(INSTALL_PREFIX)/bin $(INSTALL_PREFIX)/lib/brutefir

=== debian/changelog ===
brutefir (1.0o-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/rules: Drop unused ARCH
  * debian/: Bump debhelper compat to 12
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 20:47:08 +0100

brutefir (1.0o-1) unstable; urgency=medium

  * Imported Upstream version 1.0o
  * Drop patches applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 09 Aug 2016 20:22:27 +0200

brutefir (1.0n-1) unstable; urgency=medium

  * Improved description of patch.
  * Patches forwarded.
  * Update copyright file.
  * Improve .gitignore file.
  * Imported Upstream version 1.0n
    (Closes: #715739) (Closes: #715866) (Closes: #715903)
    (Closes: #716035) (Closes: #716131)
  * Fix some hardening.
  * Don't sign tags.
  * Fix more spelling errors.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 09 Aug 2016 13:14:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: brutefir
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  docbook-to-man,
  flex,
  libasound2-dev [linux-any],
  libfftw3-dev,
  libjack-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.4.1
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/brutefir.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/brutefir
 
 Package: brutefir
 Architecture: any
@@ -37,4 +36,3 @@
  Through its highly modular design, things like adaptive filtering,
  signal generators and sample I/O are easily added, extended and
  modified, without the need to alter the program itself.
- .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/brutefir/usr/bin/brutefir \
		$(CURDIR)/debian/brutefir/usr/lib/brutefir/brutefir.real
	cp debian/brutefir.wrapper $(CURDIR)/debian/brutefir/usr/bin/brutefir
	chmod 755 $(CURDIR)/debian/brutefir/usr/bin/brutefir

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=3
http://www.ludd.luth.se/~torger/brutefir.html	files/brutefir-(.*)\.tar\.gz
